Name:           perl-OpenGL
Version:        0.66
Release:        1%{?dist}
Summary:        Perl OpenGL bindings
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://sourceforge.net/projects/pogl/
Source0:        http://www.cpan.org/authors/id/C/CH/CHM/OpenGL-%{version}.tar.gz
Patch0:         perl-OpenGL-0.62-dist.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  freeglut-devel
BuildRequires:  mesa-libGL-devel
BuildRequires:  libICE-devel
BuildRequires:  libXext-devel
BuildRequires:  libXi-devel
BuildRequires:  libXmu-devel
BuildRequires:  perl
BuildRequires:  perl(Config)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(ExtUtils::Liblist)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time:
BuildRequires:  perl(Carp)
BuildRequires:  perl(DynaLoader)
BuildRequires:  perl(Exporter)
# Tests:
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

%description
Perl bindings to implementations of OpenGL and GLUT, providing virtually all
of the OpenGL 1.0, and 1.1 functions, and most of 1.2. 


%prep
%setup -q -n OpenGL-%{version}
%patch0 -p1 -b .dist


%build
# This is basically not a test, but an interactive demo
mv test.pl demo.pl
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS" \
   dist=NO_EXCLUSIONS verbose
# Certain OpenGL calls may not be present in our OpenGL
# implementation, let us just ignore them.
sed 's/PERL_DL_NONLAZY=1//' -i Makefile
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*


%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/OpenGL*
%{_mandir}/man3/*
%doc CHANGES COPYRIGHT GIT_CHANGES KNOWN_PROBLEMS README Release_Notes
%doc SUPPORTS TODO demo.pl


%changelog
* Wed Feb 27 2013 Petr Pisar <ppisar@redhat.com> - 0.66-1
- 0.66 bump

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.62-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.62-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Jun 10 2012 Petr Pisar <ppisar@redhat.com> - 0.62-8
- Perl 5.16 rebuild
- Specify all dependencies

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.62-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Jun 17 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.62-6
- Perl mass rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.62-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 21 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.62-4
- 661697 rebuild for fixing problems with vendorach/lib

* Tue May 04 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.62-3
- Mass rebuild with perl-5.12.0

* Sun Jan 10 2010 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> 0.62-2
- Require Xext to fix EL-5 build

* Thu Jan 07 2010 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> 0.62-1
- Initial packaging
